<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1template_runtime.html">templateRuntime</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html">TemplateRuntimeTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html">TemplateRuntime</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae18858fb8976ed05d7c8c441fde898c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#ae18858fb8976ed05d7c8c441fde898c7">SetUp</a> () override</td></tr>
<tr class="memdesc:ae18858fb8976ed05d7c8c441fde898c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set up the test harness for running a test.  <a href="#ae18858fb8976ed05d7c8c441fde898c7">More...</a><br /></td></tr>
<tr class="separator:ae18858fb8976ed05d7c8c441fde898c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6da2395aa7047c512fef45a2d50309a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a6da2395aa7047c512fef45a2d50309a9">TearDown</a> () override</td></tr>
<tr class="memdesc:a6da2395aa7047c512fef45a2d50309a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clean up the test harness after running a test.  <a href="#a6da2395aa7047c512fef45a2d50309a9">More...</a><br /></td></tr>
<tr class="separator:a6da2395aa7047c512fef45a2d50309a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada0949616c4edb77e898e460e1711c27"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#ada0949616c4edb77e898e460e1711c27">wakeOnSetCompleted</a> ()</td></tr>
<tr class="memdesc:ada0949616c4edb77e898e460e1711c27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the promise and wake <code>m_wakeSetCompleteFuture</code>.  <a href="#ada0949616c4edb77e898e460e1711c27">More...</a><br /></td></tr>
<tr class="separator:ada0949616c4edb77e898e460e1711c27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee6b7d37d31d56e36d07d4e87fc01d1f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#aee6b7d37d31d56e36d07d4e87fc01d1f">wakeOnRenderTemplateCard</a> ()</td></tr>
<tr class="memdesc:aee6b7d37d31d56e36d07d4e87fc01d1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the promise and wake <code>m_wakeRenderTemplateCardFuture</code>.  <a href="#aee6b7d37d31d56e36d07d4e87fc01d1f">More...</a><br /></td></tr>
<tr class="separator:aee6b7d37d31d56e36d07d4e87fc01d1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85a907c54917f9ab3b64f4f4c8a942ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a85a907c54917f9ab3b64f4f4c8a942ef">wakeOnRenderPlayerInfoCard</a> ()</td></tr>
<tr class="memdesc:a85a907c54917f9ab3b64f4f4c8a942ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the promise and wake <code>m_wakeRenderPlayerInfoCardFuture</code>.  <a href="#a85a907c54917f9ab3b64f4f4c8a942ef">More...</a><br /></td></tr>
<tr class="separator:a85a907c54917f9ab3b64f4f4c8a942ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0c18a031677218e975030d8e6f21e59"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#ae0c18a031677218e975030d8e6f21e59">wakeOnClearTemplateCard</a> ()</td></tr>
<tr class="memdesc:ae0c18a031677218e975030d8e6f21e59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the promise and wake <code>m_wakeClearTemplateCardFuture</code>.  <a href="#ae0c18a031677218e975030d8e6f21e59">More...</a><br /></td></tr>
<tr class="separator:ae0c18a031677218e975030d8e6f21e59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9237e1c67c290ea4012032c63f4cc57b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a9237e1c67c290ea4012032c63f4cc57b">wakeOnClearPlayerInfoCard</a> ()</td></tr>
<tr class="memdesc:a9237e1c67c290ea4012032c63f4cc57b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the promise and wake <code>m_wakeClearPlayerInfoCardFuture</code>.  <a href="#a9237e1c67c290ea4012032c63f4cc57b">More...</a><br /></td></tr>
<tr class="separator:a9237e1c67c290ea4012032c63f4cc57b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a711fd59ba9aa7274c0841cb52812b12d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a711fd59ba9aa7274c0841cb52812b12d">wakeOnReleaseChannel</a> ()</td></tr>
<tr class="memdesc:a711fd59ba9aa7274c0841cb52812b12d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the promise and wake <code>m_wakeReleaseChannelFuture</code>.  <a href="#a711fd59ba9aa7274c0841cb52812b12d">More...</a><br /></td></tr>
<tr class="separator:a711fd59ba9aa7274c0841cb52812b12d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a597611316742b61ef6804c85bcc73ee9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a597611316742b61ef6804c85bcc73ee9">TemplateRuntimeTest</a> ()</td></tr>
<tr class="memdesc:a597611316742b61ef6804c85bcc73ee9"><td class="mdescLeft">&#160;</td><td class="mdescRight">A constructor which initializes the promises and futures needed for the test class.  <a href="#a597611316742b61ef6804c85bcc73ee9">More...</a><br /></td></tr>
<tr class="separator:a597611316742b61ef6804c85bcc73ee9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a5cbf83f45785324f89935a0b16c0cfbc"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a5cbf83f45785324f89935a0b16c0cfbc">m_wakeSetCompletedPromise</a></td></tr>
<tr class="memdesc:a5cbf83f45785324f89935a0b16c0cfbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to synchronize directive handling through setCompleted.  <a href="#a5cbf83f45785324f89935a0b16c0cfbc">More...</a><br /></td></tr>
<tr class="separator:a5cbf83f45785324f89935a0b16c0cfbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebf902283a47f8af1171d480f1be32f7"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#aebf902283a47f8af1171d480f1be32f7">m_wakeSetCompletedFuture</a></td></tr>
<tr class="memdesc:aebf902283a47f8af1171d480f1be32f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to synchronize directive handling through setCompleted.  <a href="#aebf902283a47f8af1171d480f1be32f7">More...</a><br /></td></tr>
<tr class="separator:aebf902283a47f8af1171d480f1be32f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1120dc4ac4d7dabf0f869733930fc6a"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#aa1120dc4ac4d7dabf0f869733930fc6a">m_wakeRenderTemplateCardPromise</a></td></tr>
<tr class="memdesc:aa1120dc4ac4d7dabf0f869733930fc6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to synchronize directive handling with RenderTemplateCard callback.  <a href="#aa1120dc4ac4d7dabf0f869733930fc6a">More...</a><br /></td></tr>
<tr class="separator:aa1120dc4ac4d7dabf0f869733930fc6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2d4b895dda55cc40b9d5e6ede633cc"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#acc2d4b895dda55cc40b9d5e6ede633cc">m_wakeRenderTemplateCardFuture</a></td></tr>
<tr class="memdesc:acc2d4b895dda55cc40b9d5e6ede633cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to synchronize directive handling with RenderTemplateCard callback.  <a href="#acc2d4b895dda55cc40b9d5e6ede633cc">More...</a><br /></td></tr>
<tr class="separator:acc2d4b895dda55cc40b9d5e6ede633cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1f91d042149990c70e5b0e3b88bfeb0"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#ab1f91d042149990c70e5b0e3b88bfeb0">m_wakeRenderPlayerInfoCardPromise</a></td></tr>
<tr class="memdesc:ab1f91d042149990c70e5b0e3b88bfeb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to synchronize directive handling with RenderPlayerInfoCard callback.  <a href="#ab1f91d042149990c70e5b0e3b88bfeb0">More...</a><br /></td></tr>
<tr class="separator:ab1f91d042149990c70e5b0e3b88bfeb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affcef247d0fd4e8d06aba7e7d937c5ce"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#affcef247d0fd4e8d06aba7e7d937c5ce">m_wakeRenderPlayerInfoCardFuture</a></td></tr>
<tr class="memdesc:affcef247d0fd4e8d06aba7e7d937c5ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to synchronize directive handling with RenderPlayerInfoCard callback.  <a href="#affcef247d0fd4e8d06aba7e7d937c5ce">More...</a><br /></td></tr>
<tr class="separator:affcef247d0fd4e8d06aba7e7d937c5ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab65ccb9c6b4807a8b0a154c04313da6e"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#ab65ccb9c6b4807a8b0a154c04313da6e">m_wakeClearTemplateCardPromise</a></td></tr>
<tr class="memdesc:ab65ccb9c6b4807a8b0a154c04313da6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to synchronize ClearTemplateCard callback.  <a href="#ab65ccb9c6b4807a8b0a154c04313da6e">More...</a><br /></td></tr>
<tr class="separator:ab65ccb9c6b4807a8b0a154c04313da6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3af7785ab039ca75ecccc7af737e48"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a0c3af7785ab039ca75ecccc7af737e48">m_wakeClearTemplateCardFuture</a></td></tr>
<tr class="memdesc:a0c3af7785ab039ca75ecccc7af737e48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to synchronize ClearTemplateCard callback.  <a href="#a0c3af7785ab039ca75ecccc7af737e48">More...</a><br /></td></tr>
<tr class="separator:a0c3af7785ab039ca75ecccc7af737e48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2470480874af74175979fd0ca7dac2e1"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a2470480874af74175979fd0ca7dac2e1">m_wakeClearPlayerInfoCardPromise</a></td></tr>
<tr class="memdesc:a2470480874af74175979fd0ca7dac2e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to synchronize ClearPlayerInfoCard callback.  <a href="#a2470480874af74175979fd0ca7dac2e1">More...</a><br /></td></tr>
<tr class="separator:a2470480874af74175979fd0ca7dac2e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bf39dda68f9329d6ea64d1a8d8a2f8f"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a7bf39dda68f9329d6ea64d1a8d8a2f8f">m_wakeClearPlayerInfoCardFuture</a></td></tr>
<tr class="memdesc:a7bf39dda68f9329d6ea64d1a8d8a2f8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to synchronize ClearPlayerInfoCard callback.  <a href="#a7bf39dda68f9329d6ea64d1a8d8a2f8f">More...</a><br /></td></tr>
<tr class="separator:a7bf39dda68f9329d6ea64d1a8d8a2f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6de0fd821b0346a26b3629ab329a945"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#ac6de0fd821b0346a26b3629ab329a945">m_wakeReleaseChannelPromise</a></td></tr>
<tr class="memdesc:ac6de0fd821b0346a26b3629ab329a945"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to synchronize releaseChannel calls.  <a href="#ac6de0fd821b0346a26b3629ab329a945">More...</a><br /></td></tr>
<tr class="separator:ac6de0fd821b0346a26b3629ab329a945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8feec137d5638e45edeee02a0ee5696d"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a8feec137d5638e45edeee02a0ee5696d">m_wakeReleaseChannelFuture</a></td></tr>
<tr class="memdesc:a8feec137d5638e45edeee02a0ee5696d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to synchronize releaseChannel calls.  <a href="#a8feec137d5638e45edeee02a0ee5696d">More...</a><br /></td></tr>
<tr class="separator:a8feec137d5638e45edeee02a0ee5696d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab87a2c1b5e390a9daaf4209fe21344e0"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; NiceMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_mock_audio_player.html">MockAudioPlayer</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#ab87a2c1b5e390a9daaf4209fe21344e0">m_mockAudioPlayerInterface</a></td></tr>
<tr class="memdesc:ab87a2c1b5e390a9daaf4209fe21344e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">A nice mock for the AudioPlayerInterface calls.  <a href="#ab87a2c1b5e390a9daaf4209fe21344e0">More...</a><br /></td></tr>
<tr class="separator:ab87a2c1b5e390a9daaf4209fe21344e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af50340b9b90d10d79883381d63568746"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#af50340b9b90d10d79883381d63568746">m_mockExceptionSender</a></td></tr>
<tr class="memdesc:af50340b9b90d10d79883381d63568746"><td class="mdescLeft">&#160;</td><td class="mdescRight">A strict mock that allows the test to strictly monitor the exceptions being sent.  <a href="#af50340b9b90d10d79883381d63568746">More...</a><br /></td></tr>
<tr class="separator:af50340b9b90d10d79883381d63568746"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6378c1e6281a044f9a66cd3f42fdd265"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_directive_handler_result.html">MockDirectiveHandlerResult</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a6378c1e6281a044f9a66cd3f42fdd265">m_mockDirectiveHandlerResult</a></td></tr>
<tr class="memdesc:a6378c1e6281a044f9a66cd3f42fdd265"><td class="mdescLeft">&#160;</td><td class="mdescRight">A strict mock that allows the test to strictly monitor the handling of directives.  <a href="#a6378c1e6281a044f9a66cd3f42fdd265">More...</a><br /></td></tr>
<tr class="separator:a6378c1e6281a044f9a66cd3f42fdd265"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb2a2dd75058f613bce298e9347c5356"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_focus_manager.html">MockFocusManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#abb2a2dd75058f613bce298e9347c5356">m_mockFocusManager</a></td></tr>
<tr class="memdesc:abb2a2dd75058f613bce298e9347c5356"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>FocusManager</code> to request focus to the Visual channel.  <a href="#abb2a2dd75058f613bce298e9347c5356">More...</a><br /></td></tr>
<tr class="separator:abb2a2dd75058f613bce298e9347c5356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28452e8058cc28e9f96b40dd5c11a418"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_mock_gui.html">MockGui</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a28452e8058cc28e9f96b40dd5c11a418">m_mockGui</a></td></tr>
<tr class="memdesc:a28452e8058cc28e9f96b40dd5c11a418"><td class="mdescLeft">&#160;</td><td class="mdescRight">A strict mock to allow testing of the observer callback.  <a href="#a28452e8058cc28e9f96b40dd5c11a418">More...</a><br /></td></tr>
<tr class="separator:a28452e8058cc28e9f96b40dd5c11a418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8970e67dedc7fbcee203855a6be67fe0"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html">TemplateRuntime</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_template_runtime_test.html#a8970e67dedc7fbcee203855a6be67fe0">m_templateRuntime</a></td></tr>
<tr class="memdesc:a8970e67dedc7fbcee203855a6be67fe0"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to an instance of the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html">TemplateRuntime</a> that will be instantiated per test.  <a href="#a8970e67dedc7fbcee203855a6be67fe0">More...</a><br /></td></tr>
<tr class="separator:a8970e67dedc7fbcee203855a6be67fe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html">TemplateRuntime</a></code> class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a597611316742b61ef6804c85bcc73ee9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a597611316742b61ef6804c85bcc73ee9">&#9670;&nbsp;</a></span>TemplateRuntimeTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::TemplateRuntimeTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A constructor which initializes the promises and futures needed for the test class. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae18858fb8976ed05d7c8c441fde898c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae18858fb8976ed05d7c8c441fde898c7">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set up the test harness for running a test. </p>

</div>
</div>
<a id="a6da2395aa7047c512fef45a2d50309a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6da2395aa7047c512fef45a2d50309a9">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clean up the test harness after running a test. </p>

</div>
</div>
<a id="a9237e1c67c290ea4012032c63f4cc57b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9237e1c67c290ea4012032c63f4cc57b">&#9670;&nbsp;</a></span>wakeOnClearPlayerInfoCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::wakeOnClearPlayerInfoCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the promise and wake <code>m_wakeClearPlayerInfoCardFuture</code>. </p>

</div>
</div>
<a id="ae0c18a031677218e975030d8e6f21e59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0c18a031677218e975030d8e6f21e59">&#9670;&nbsp;</a></span>wakeOnClearTemplateCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::wakeOnClearTemplateCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the promise and wake <code>m_wakeClearTemplateCardFuture</code>. </p>

</div>
</div>
<a id="a711fd59ba9aa7274c0841cb52812b12d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a711fd59ba9aa7274c0841cb52812b12d">&#9670;&nbsp;</a></span>wakeOnReleaseChannel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::wakeOnReleaseChannel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the promise and wake <code>m_wakeReleaseChannelFuture</code>. </p>

</div>
</div>
<a id="a85a907c54917f9ab3b64f4f4c8a942ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85a907c54917f9ab3b64f4f4c8a942ef">&#9670;&nbsp;</a></span>wakeOnRenderPlayerInfoCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::wakeOnRenderPlayerInfoCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the promise and wake <code>m_wakeRenderPlayerInfoCardFuture</code>. </p>

</div>
</div>
<a id="aee6b7d37d31d56e36d07d4e87fc01d1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee6b7d37d31d56e36d07d4e87fc01d1f">&#9670;&nbsp;</a></span>wakeOnRenderTemplateCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::wakeOnRenderTemplateCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the promise and wake <code>m_wakeRenderTemplateCardFuture</code>. </p>

</div>
</div>
<a id="ada0949616c4edb77e898e460e1711c27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada0949616c4edb77e898e460e1711c27">&#9670;&nbsp;</a></span>wakeOnSetCompleted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::wakeOnSetCompleted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to set the promise and wake <code>m_wakeSetCompleteFuture</code>. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab87a2c1b5e390a9daaf4209fe21344e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab87a2c1b5e390a9daaf4209fe21344e0">&#9670;&nbsp;</a></span>m_mockAudioPlayerInterface</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;NiceMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_mock_audio_player.html">MockAudioPlayer</a>&gt; &gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_mockAudioPlayerInterface</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A nice mock for the AudioPlayerInterface calls. </p>

</div>
</div>
<a id="a6378c1e6281a044f9a66cd3f42fdd265"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6378c1e6281a044f9a66cd3f42fdd265">&#9670;&nbsp;</a></span>m_mockDirectiveHandlerResult</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_directive_handler_result.html">MockDirectiveHandlerResult</a>&gt; &gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_mockDirectiveHandlerResult</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A strict mock that allows the test to strictly monitor the handling of directives. </p>

</div>
</div>
<a id="af50340b9b90d10d79883381d63568746"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af50340b9b90d10d79883381d63568746">&#9670;&nbsp;</a></span>m_mockExceptionSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a>&gt; &gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_mockExceptionSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A strict mock that allows the test to strictly monitor the exceptions being sent. </p>

</div>
</div>
<a id="abb2a2dd75058f613bce298e9347c5356"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb2a2dd75058f613bce298e9347c5356">&#9670;&nbsp;</a></span>m_mockFocusManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_focus_manager.html">MockFocusManager</a>&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_mockFocusManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>FocusManager</code> to request focus to the Visual channel. </p>

</div>
</div>
<a id="a28452e8058cc28e9f96b40dd5c11a418"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28452e8058cc28e9f96b40dd5c11a418">&#9670;&nbsp;</a></span>m_mockGui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test_1_1_mock_gui.html">MockGui</a>&gt; &gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_mockGui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A strict mock to allow testing of the observer callback. </p>

</div>
</div>
<a id="a8970e67dedc7fbcee203855a6be67fe0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8970e67dedc7fbcee203855a6be67fe0">&#9670;&nbsp;</a></span>m_templateRuntime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html">TemplateRuntime</a>&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_templateRuntime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A pointer to an instance of the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html">TemplateRuntime</a> that will be instantiated per test. </p>

</div>
</div>
<a id="a7bf39dda68f9329d6ea64d1a8d8a2f8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bf39dda68f9329d6ea64d1a8d8a2f8f">&#9670;&nbsp;</a></span>m_wakeClearPlayerInfoCardFuture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeClearPlayerInfoCardFuture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Future to synchronize ClearPlayerInfoCard callback. </p>

</div>
</div>
<a id="a2470480874af74175979fd0ca7dac2e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2470480874af74175979fd0ca7dac2e1">&#9670;&nbsp;</a></span>m_wakeClearPlayerInfoCardPromise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeClearPlayerInfoCardPromise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Promise to synchronize ClearPlayerInfoCard callback. </p>

</div>
</div>
<a id="a0c3af7785ab039ca75ecccc7af737e48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c3af7785ab039ca75ecccc7af737e48">&#9670;&nbsp;</a></span>m_wakeClearTemplateCardFuture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeClearTemplateCardFuture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Future to synchronize ClearTemplateCard callback. </p>

</div>
</div>
<a id="ab65ccb9c6b4807a8b0a154c04313da6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab65ccb9c6b4807a8b0a154c04313da6e">&#9670;&nbsp;</a></span>m_wakeClearTemplateCardPromise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeClearTemplateCardPromise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Promise to synchronize ClearTemplateCard callback. </p>

</div>
</div>
<a id="a8feec137d5638e45edeee02a0ee5696d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8feec137d5638e45edeee02a0ee5696d">&#9670;&nbsp;</a></span>m_wakeReleaseChannelFuture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeReleaseChannelFuture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Future to synchronize releaseChannel calls. </p>

</div>
</div>
<a id="ac6de0fd821b0346a26b3629ab329a945"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6de0fd821b0346a26b3629ab329a945">&#9670;&nbsp;</a></span>m_wakeReleaseChannelPromise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeReleaseChannelPromise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Promise to synchronize releaseChannel calls. </p>

</div>
</div>
<a id="affcef247d0fd4e8d06aba7e7d937c5ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affcef247d0fd4e8d06aba7e7d937c5ce">&#9670;&nbsp;</a></span>m_wakeRenderPlayerInfoCardFuture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeRenderPlayerInfoCardFuture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Future to synchronize directive handling with RenderPlayerInfoCard callback. </p>

</div>
</div>
<a id="ab1f91d042149990c70e5b0e3b88bfeb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1f91d042149990c70e5b0e3b88bfeb0">&#9670;&nbsp;</a></span>m_wakeRenderPlayerInfoCardPromise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeRenderPlayerInfoCardPromise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Promise to synchronize directive handling with RenderPlayerInfoCard callback. </p>

</div>
</div>
<a id="acc2d4b895dda55cc40b9d5e6ede633cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc2d4b895dda55cc40b9d5e6ede633cc">&#9670;&nbsp;</a></span>m_wakeRenderTemplateCardFuture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeRenderTemplateCardFuture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Future to synchronize directive handling with RenderTemplateCard callback. </p>

</div>
</div>
<a id="aa1120dc4ac4d7dabf0f869733930fc6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1120dc4ac4d7dabf0f869733930fc6a">&#9670;&nbsp;</a></span>m_wakeRenderTemplateCardPromise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeRenderTemplateCardPromise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Promise to synchronize directive handling with RenderTemplateCard callback. </p>

</div>
</div>
<a id="aebf902283a47f8af1171d480f1be32f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebf902283a47f8af1171d480f1be32f7">&#9670;&nbsp;</a></span>m_wakeSetCompletedFuture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeSetCompletedFuture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Future to synchronize directive handling through setCompleted. </p>

</div>
</div>
<a id="a5cbf83f45785324f89935a0b16c0cfbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cbf83f45785324f89935a0b16c0cfbc">&#9670;&nbsp;</a></span>m_wakeSetCompletedPromise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::capabilityAgents::templateRuntime::test::TemplateRuntimeTest::m_wakeSetCompletedPromise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Promise to synchronize directive handling through setCompleted. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/TemplateRuntime/test/<a class="el" href="_template_runtime_test_8cpp.html">TemplateRuntimeTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
